parameters:
    simple_bus.event_bus.logging.level: debug

services:
    simple_bus.event_bus.logging_middleware:
        class: SimpleBus\Message\Logging\LoggingMiddleware
        public: false
        arguments:
            - '@logger'
            - '%simple_bus.event_bus.logging.level%'
        tags:
            - { name: event_bus_middleware, priority: -999 }
            - { name: monolog.logger, channel: event_bus }
